﻿
using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.ComponentsN;
public partial class InputDate
{
    #region parameters
    /// <summary>
    /// Class 
    /// </summary>
    [Parameter]
    public string Class { get; set; }

    private string FixedInputClassList
    {
        get
        {
            return new CssBuilder()
                .AddClass(Class)
                .Build();
        }
    }
    private InputType InputType { get; set; } = InputType.Date;

    /// <summary>
    /// Show clear button.
    /// </summary>
    [Parameter]
    public bool ShowClearButton { get; set; } = false;

    [Parameter]
    public string ErrorText { get; set; } = string.Empty;

    [Parameter]
    public string Label { get; set; } = string.Empty;

    [Parameter]
    public string Format { get; set; } = "DD.MM.YYYY";

    #endregion

    #region Variables
    private string _clearIcon = Icons.Material.Filled.Clear;

    #endregion

    [Parameter]
    public DateTime Value { get; set; }

    [Parameter]
    public EventCallback<DateTime> ValueChanged { get; set; }

    private async Task ChangeValueAsync(ChangeEventArgs args)
    {
        DateTime value = DateTime.Parse(args.Value.ToString());
        await ValueChanged.InvokeAsync(value);
    }

    #region Lifecycle

    #endregion
}
