﻿using Connected.Utilities;
using Microsoft.AspNetCore.Components;
namespace Connected.ComponentsN;
public partial class Select<ValueType>
{

	[Parameter]
	public bool SearchFieldEnabled { get; set; } = false;

	[Parameter]
	public int MaxVisibleItems { get; set; } = 7;

	[Parameter]
	public List<SelectItem<ValueType>> Items
	{
		get{
			if (FilterText.Length > 0)
			{
				return _items.Where(i => i.Value.ToString().Contains(FilterText) || i.Text.ToString().Contains(FilterText)).ToList();
			}
			return _items;
		}
		set {
			_items= value;
		}
	}

	private List<SelectItem<ValueType>> _items = new List<SelectItem<ValueType>>();

	private int ItemsCount => Items.Count();

	
	[Parameter]
	public int SelectedIndex { get; set; } = 0;

	[Parameter]
	public string FilterText { get; set; } = string.Empty;

	private int _pagination()
	{
		int result = 0;
		if (MaxVisibleItems<ItemsCount)
		{
			result = (int)(ItemsCount / MaxVisibleItems) + (ItemsCount % MaxVisibleItems);
		}
		return result;
	}

	[Parameter]
	public string ClassList { get; set; } = string.Empty;
	/// <summary>
	/// Contains the default container classlist and the user defined classes.
	/// </summary>
	private string CompiledClassList
	{
		get
		{
			return new CssBuilder()
				.AddClass(ClassList)
				.Build();
		}
	}
}
