﻿using Microsoft.AspNetCore.Components;

namespace Connected.ComponentsN;
public partial class SelectItem<ValueType>
{
	[Parameter, EditorRequired]
	public ValueType Value { get; set; }
	[Parameter]
	public string Text { get; set; } = string.Empty;

	protected override async Task OnParametersSetAsync()
	{
		if (string.IsNullOrEmpty(Text)) {
		
			if (Value is not null)
				Text = Value.ToString();
		}
		await base.OnParametersSetAsync();
	}
}
